(function () {

  Messages = [
    "My mind is bursting with bright ideas, kind words, and happiness.",
    "No person, place, or thing has any power over me, for I am the only thinker in my mind.",
    "Every experience I have is perfect for my growth.",
    "I am a joyful breeze entering a room.",
    "I feel safe in the rhythm and flow of ever-changing life.",
    "I am my own superhero.",
    "My body is healthy, and I’m grateful.",
    "I choose not to criticize myself or others around me.",
    "I love myself fully, including the way I look.",
    "Negative thoughts only have the power I allow them.",
    "Today I create a wonderful new day and a wonderful new future.",
    "Being miserable is a habit; being happy is a habit; the choice is mine.",
    "My financial prospect brings me joy.",
    "A problem is a chance for me to do my very best.",
    "Dreams and goals are coming attractions in my life.",
    "There is only one thing that makes a dream impossible to achieve: the fear of failure.",
    "I will master distractions and keep my focus on my goals.",
    "I turn towards my difficulties instead of trying to fix them instantly.",
    "I am in charge of how I feel and today I am choosing happiness.",
    "I have infinite patience when it comes to fulfilling my own destiny.",
    "I am connected to an unlimited source of abundance.",
    "I’m an infinite being. The age of my body has no bearing on what I do and who I am.",
    "I feel passionately about my life, and this passion fills me with excitement and energy.",
    "Every crisis is an opportunity in disguise.",
    "I bring something unique to the table by simply being me.",
    "The tools I need to succeed are in my possession.",
    "I use my failures as stepping stones.",
    "The success of others will not make me jealous. My time will come.",
    "A calm feeling spreads through my thoughts and actions.",
    "Inner wisdom shines from within me as I grow.",
    "Are efficient solutions the ultimate goal?",
    "Do you try to solve one problem at a time?",
    "Are you conscious of your problems?",
    "If happiness is a currency, how rich do you think you are?",
    "If there were no consequences, would you be afraid of mistakes?",
    "Are you doing what you truly want to do?",
    "If the chance of failure and success was 50-50, would you still take a shot?",
    "What would you prefer? Stable but boring work, or interesting and demanding work?",
    "If you had a time machine, would you abandon this era?",
    "Are you convinced this is the best possible world?",
    "Which is worse, failing or not even trying?",
    "Is this insanity or just creativity?",
    "Why are you, you?",
    "What are you most grateful for?",
    "In what ways do you  make your life better, more fulfilling, or meaningful?",
    "What empowering beliefs will help you achieve your goals?",
    "What is your purpose in life? Why do you exist? What is your mission?",
    "Is there a joyful marriage between your profession and your passion?",
    "What qualities do you embody?",
    "We learn from our mistakes, yet we’re always so afraid to make them. Where is this true for you?",
    "Think of one job that could get you out of bed happily for the rest of your life. Are you doing it now?",
    "When it’s all said and done, will you have said more than you’ve done?",
    "We’re always making choices. Are you choosing for your story or for someone else’s?",
    "Do you need permission to move forward?",
    "How much better would your life be if there weren’t any criticism in the world?",
    "Which worries you more – doing things right or doing the right things?",
    "What risk would you take if you knew you could not fail?",
    "Are you working so hard to create an amazing future, that you miss a million nows?",
    "Are your dreams bigger than other people's opinions or vice versa?",
    "If the biggest obstacle in your life was removed, how would your life change?"
  ];


  function getRandomInt(min, max) {
    min = Math.ceil(min);
    max = Math.floor(max);
    return Math.floor(Math.random() * (max - min + 1)) + min;
  }

  function sleep(ms) {
    return new Promise(resolve => setTimeout(resolve, ms));
  }

  async function newMessage(id) {
    while (true) {
      ms = getRandomInt(1000, 3000);
      Message = Messages[Math.floor(Math.random()*Messages.length)];
      document.getElementById(id).innerHTML = Message;
      await sleep(ms);
    }
  }

  function iris(){
    newMessage('oneliner-1');
    newMessage('oneliner-2');
    newMessage('oneliner-3');
  }

  window.onload = iris;

})();
